## gegl 0.4.46

=== debian/changelog ===
gegl (1:0.4.46-4) unstable; urgency=medium

  * Team upload

  [ Amin Bandali ]
  * Update packaging branch to debian/latest

  [ Simon McVittie ]
  * d/control: Stop generating from d/control.in
  * d/control: Add ${gir:Depends}, ${gir:Provides} to -dev package
    (Helps: #1030223)
  * d/control: Explicitly build-depend on required GIR XML
    (Helps: #1030223)

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Nov 2023 12:36:24 +0000

gegl (1:0.4.46-3) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control.in: Remove unused libopenraw-dev build-dependency

  [ Jeremy Bícha ]
  * Disable libav feature that isn't used yet & crashes with ffmpeg 6
    (Closes: #1041382)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Aug 2023 18:07:45 -0400

gegl (1:0.4.46-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control.in: Remove unused libopenraw-dev build-dependency

  [ Jeremy Bícha ]
  * Disable libav feature that isn't used yet & crashes with ffmpeg 6
    (Closes: #1041382)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Aug 2023 18:06:44 -0400

gegl (1:0.4.46-1) unstable; urgency=medium

  * New upstream release
  * debian/libgegl-0.4-0.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 30 Jun 2023 20:16:07 -0400

=== debian/control ===
Source: gegl
Section: devel
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gir1.2-babl-0.1-dev,
               gir1.2-glib-2.0-dev,
               gir1.2-gobject-2.0-dev,
               graphviz,
               libavformat-dev,
               libbabl-dev (>= 1:0.1.99),
               libblas-dev,
               libcairo2-dev (>= 0.12.2),
               libgdk-pixbuf-2.0-dev (>= 2.18.0),
               libgexiv2-dev,
               libgirepository1.0-dev (>= 1.32.0),
               libglib2.0-dev (>= 2.28.0),
               libjpeg-dev,
               libjson-glib-dev,
               liblensfun-dev,
               libmaxflow-dev,
               libopenexr-dev (>= 1.6.1),
               libpango1.0-dev,
               libpng-dev (>= 1.6.0),
               libpoppler-glib-dev (>= 0.71.0),
               libraw-dev,
               librsvg2-dev (>= 2.40.6),
               libsdl2-dev (>= 1.2.0),
               libspiro-dev (>= 1:20190731-2~),
               libsuitesparse-dev,
               libswscale-dev,
               libtiff-dev,
               libv4l-dev [!hurd-any],
               libwebp-dev (>= 0.5.0),
               meson (>= 0.54.0),
               pkg-config,
               valac (>= 0.20)
Build-Depends-Indep: asciidoc-base <!nodoc>,
                     gtk-doc-tools (>= 1.0) <!nodoc>,
                     libglib2.0-doc <!nodoc>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gegl
Vcs-Git: https://salsa.debian.org/gnome-team/gegl.git
Homepage: https://gegl.org/

Package: gegl
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Generic Graphics Library Test Program
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGL's original design was made to scratch GIMP's itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies and a simple well defined API.
 .
 This package contains a bunch of test programs.

Package: libgegl-0.4-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgegl-common (>= ${source:Version})
Suggests: graphviz
Description: Generic Graphics Library
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGL's original design was made to scratch GIMP's itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies and a simple well defined API.

Package: libgegl-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Generic Graphics Library - common files
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGL's original design was made to scratch GIMP's itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies and a simple well defined API.
 .
 This package contains common data files and translations.

Package: libgegl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gegl-0.4 (= ${binary:Version}),
         libbabl-dev (>= 1:0.1.99),
         libgegl-0.4-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.16.1),
         libjson-glib-dev,
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libgegl-0.0-dev
Replaces: libgegl-0.0-dev
Provides: libgegl-0.0-dev,
          ${gir:Provides}
Description: Generic Graphics Library (development files)
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGL's original design was made to scratch GIMP's itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies and a simple well defined API.
 .
 This package contains the development files.

Package: libgegl-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libgegl-0.0-doc
Replaces: libgegl-0.0-doc
Build-Profiles: <!nodoc>
Description: Generic Graphics Library (documentation)
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGL's original design was made to scratch GIMP's itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies and a simple well defined API.
 .
 This package contains the documentation.

Package: gir1.2-gegl-0.4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the Generic Graphics Library
 GEGL (Generic Graphics Library) is a graph based image processing
 framework.
 .
 GEGL's original design was made to scratch GIMP's itches for a new
 compositing and processing core. This core is being designed to have
 minimal dependencies and a simple well defined API.
 .
 This package contains introspection data for the library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

built_binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-O1 -Wl,-z,defs

include /usr/share/dpkg/default.mk

ifeq ($(DEB_HOST_ARCH_OS), hurd)
	EXTRA_CONFIGURE_OPTIONS=-Dlibv4l=disabled -Dlibv4l2=disabled
else
	EXTRA_CONFIGURE_OPTIONS=
endif

ifeq ($(filter %-doc,$(built_binaries)),)
EXTRA_CONFIGURE_OPTIONS += -Dgtk-doc=false
else
EXTRA_CONFIGURE_OPTIONS += -Dgtk-doc=true
endif

# Upstream test timeouts assume an otherwise unloaded system, but that
# isn't necessarily the case for a porterbox or multiple parallel builds
test_timeout_multiplier = 3

ifneq ($(filter aarch64 arm% hppa mips% sparc%,$(DEB_HOST_ARCH_CPU)),)
# These architectures are typically slower, particularly for the sort of
# floating-point processing we're doing here
test_timeout_multiplier = 10
endif

ifneq ($(filter m68k riscv64 sh4,$(DEB_HOST_ARCH_CPU)),)
# These architectures are known to have qemu buildds, which are really slow
test_timeout_multiplier = 20
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Ddocs=true \
		-Djasper=disabled \
		-Dlibav=disabled \
		-Dlua=disabled \
		-Dmrg=disabled \
		-Dpygobject=disabled \
		-Dsdl1=disabled \
		-Dsdl2=disabled \
		$(EXTRA_CONFIGURE_OPTIONS)

# These json files appear to only be needed for distcheck according to git log
override_dh_missing:
	dh_missing -Xgrey2.json -Xdropshadow2.json

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gegl-0.4/ -- -c4

override_dh_auto_test:
	dh_auto_test --no-parallel -- --timeout-multiplier $(test_timeout_multiplier)

override_dh_gnome_clean:
	dh_gnome_clean --no-control

## gegl 0.4.48

=== debian/changelog ===
gegl (1:0.4.48-2.4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:04:51 +0000

gegl (1:0.4.48-2.4build1) noble; urgency=medium

  * No-change rebuild against .

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 09:35:55 +1300

gegl (1:0.4.48-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * More symbols file fixes for t64.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Mar 2024 20:51:24 +0100

gegl (1:0.4.48-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix symbols file for t64.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Mar 2024 18:41:45 +0100

gegl (1:0.4.48-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build depedency on dpkg-dev to use >= not >> (sorry).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 05 Mar 2024 09:37:53 +1300

gegl (1:0.4.48-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build depedency on dpkg-dev (>= 1.22.5) for time_t transition.
    (Closes: #1065260)

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Mon, 04 Mar 2024 23:38:29 +1300

gegl (1:0.4.48-2) unstable; urgency=medium

  * Release to unstable (Closes: #1062066)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 21:37:42 -0500

gegl (1:0.4.48-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Sat, 24 Feb 2024 05:55:17 +0000

gegl (1:0.4.48-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on gi-docgen instead of gtk-doc-tools
  * debian/libgegl-0.4-0.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Feb 2024 09:20:00 -0500

gegl (1:0.4.46-4.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Lukas Märdian <slyon@debian.org>  Wed, 31 Jan 2024 09:05:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: gegl
 Section: devel
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5),
+               debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                gir1.2-babl-0.1-dev,
@@ -39,7 +41,8 @@
                pkg-config,
                valac (>= 0.20)
 Build-Depends-Indep: asciidoc-base <!nodoc>,
-                     gtk-doc-tools (>= 1.0) <!nodoc>,
+                     gi-docgen,
+                     libbabl-doc <!nodoc>,
                      libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
@@ -61,7 +64,10 @@
  .
  This package contains a bunch of test programs.
 
-Package: libgegl-0.4-0
+Package: libgegl-0.4-0t64
+Provides: ${t64:Provides}
+Replaces: libgegl-0.4-0
+Breaks: libgegl-0.4-0 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -98,7 +104,7 @@
 Multi-Arch: same
 Depends: gir1.2-gegl-0.4 (= ${binary:Version}),
          libbabl-dev (>= 1:0.1.99),
-         libgegl-0.4-0 (= ${binary:Version}),
+         libgegl-0.4-0t64 (= ${binary:Version}),
          libglib2.0-dev (>= 2.16.1),
          libjson-glib-dev,
          ${gir:Depends},

=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,9 @@
 endif
 
 ifeq ($(filter %-doc,$(built_binaries)),)
-EXTRA_CONFIGURE_OPTIONS += -Dgtk-doc=false
+EXTRA_CONFIGURE_OPTIONS += -Dgi-docgen=disabled
 else
-EXTRA_CONFIGURE_OPTIONS += -Dgtk-doc=true
+EXTRA_CONFIGURE_OPTIONS += -Dgi-docgen=enabled
 endif
 
 # Upstream test timeouts assume an otherwise unloaded system, but that

## gegl 0.4.50

=== debian/changelog ===
gegl (1:0.4.50-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert the t64 transition changes.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 13 Dec 2024 10:55:02 -0800

gegl (1:0.4.50-1) unstable; urgency=medium

  * New upstream release
  * Acknowledge all previous NMUs.
  * Update Standards-Version to 4.7.0, with no changes needed.
  * Update symbols files to add new symbols.

 -- Jordi Mallach <jordi@debian.org>  Tue, 05 Nov 2024 01:11:10 +0100

gegl (1:0.4.48-2.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Revert Maintainer field to GNOME Maintainers.

 -- Bastian Germann <bage@debian.org>  Sat, 13 Apr 2024 07:23:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: gegl
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5),
-               debhelper-compat (= 13),
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
+           Jeremy Bícha <jbicha@ubuntu.com>,
+           Josselin Mouette <joss@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gir1.2-babl-0.1-dev,
-               gir1.2-glib-2.0-dev,
-               gir1.2-gobject-2.0-dev,
+#               dpkg-dev (>= 1.22.5),
+               gir1.2-babl-0.1-dev | gir1.2-babl-0.1,
+               gir1.2-glib-2.0-dev | gir1.2-glib-2.0,
                graphviz,
                libavformat-dev,
                libbabl-dev (>= 1:0.1.99),
@@ -45,15 +46,14 @@
                      libbabl-doc <!nodoc>,
                      libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gegl
 Vcs-Git: https://salsa.debian.org/gnome-team/gegl.git
 Homepage: https://gegl.org/
 
 Package: gegl
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Generic Graphics Library Test Program
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.
@@ -64,18 +64,15 @@
  .
  This package contains a bunch of test programs.
 
-Package: libgegl-0.4-0t64
-Provides: ${t64:Provides}
-Replaces: libgegl-0.4-0
-Breaks: libgegl-0.4-0 (<< ${source:Version})
+Package: libgegl-0.4-0
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libgegl-common (>= ${source:Version})
-Suggests: graphviz
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ libgegl-common (>= ${source:Version}),
+Suggests: graphviz,
 Description: Generic Graphics Library
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.
@@ -104,7 +101,7 @@
 Multi-Arch: same
 Depends: gir1.2-gegl-0.4 (= ${binary:Version}),
          libbabl-dev (>= 1:0.1.99),
-         libgegl-0.4-0t64 (= ${binary:Version}),
+         libgegl-0.4-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.16.1),
          libjson-glib-dev,
          ${gir:Depends},
@@ -112,8 +109,7 @@
          ${shlibs:Depends}
 Breaks: libgegl-0.0-dev
 Replaces: libgegl-0.0-dev
-Provides: libgegl-0.0-dev,
-          ${gir:Provides}
+Provides: libgegl-0.0-dev, ${gir:Provides}
 Description: Generic Graphics Library (development files)
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.
@@ -146,8 +142,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Description: GObject introspection data for the Generic Graphics Library
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.

=== debian/tests/control ===
Tests: libgegl-dev
Depends: build-essential, libgegl-dev, xauth, xvfb
Restrictions: allow-stderr superficial

Tests: gir1.2-gegl-0.4
Depends: gir1.2-gegl-0.4, python3-gi
Restrictions: allow-stderr, superficial

## gegl 0.4.52

=== debian/changelog ===
gegl (1:0.4.52-1~mx23+1) mx; urgency=medium

  * New upstream release
  * Stop using dh-sequence-gnome
  * Remove unused Lintian overrides

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 06 Jan 2025 05:44:12 -0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
            Josselin Mouette <joss@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               dh-sequence-gnome,
+#               dh-sequence-gnome,
 #               dpkg-dev (>= 1.22.5),
                gir1.2-babl-0.1-dev | gir1.2-babl-0.1,
                gir1.2-glib-2.0-dev | gir1.2-glib-2.0,
@@ -68,11 +68,11 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${shlibs:Depends},
- ${misc:Depends},
- libgegl-common (>= ${source:Version}),
-Suggests: graphviz,
+Pre-Depends: ${misc:Pre-Depends}
+Depends: libgegl-common (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: graphviz
 Description: Generic Graphics Library
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.

## gegl 0.4.54

=== debian/changelog ===
gegl (1:0.4.54-1) unstable; urgency=medium

  * New upstream release
  * Allow build tests to run in parallel

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 09 Feb 2025 16:27:03 -0500

gegl (1:0.4.52-1) unstable; urgency=medium

  * New upstream release
  * Stop using dh-sequence-gnome
  * Remove unused Lintian overrides

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 27 Dec 2024 09:02:13 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,14 @@
 Source: gegl
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
-           Jeremy Bícha <jbicha@ubuntu.com>,
-           Josselin Mouette <joss@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5),
+               debhelper-compat (= 13),
                dh-sequence-gir,
-#               dh-sequence-gnome,
-#               dpkg-dev (>= 1.22.5),
-               gir1.2-babl-0.1-dev | gir1.2-babl-0.1,
-               gir1.2-glib-2.0-dev | gir1.2-glib-2.0,
+               gir1.2-babl-0.1-dev,
+               gir1.2-glib-2.0-dev,
+               gir1.2-gobject-2.0-dev,
                graphviz,
                libavformat-dev,
                libbabl-dev (>= 1:0.1.99),
@@ -39,7 +36,7 @@
                libv4l-dev [!hurd-any],
                libwebp-dev (>= 0.5.0),
                meson (>= 0.54.0),
-               pkg-config,
+               pkgconf,
                valac (>= 0.20)
 Build-Depends-Indep: asciidoc-base <!nodoc>,
                      gi-docgen,
@@ -53,7 +50,8 @@
 
 Package: gegl
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Generic Graphics Library Test Program
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.
@@ -64,14 +62,17 @@
  .
  This package contains a bunch of test programs.
 
-Package: libgegl-0.4-0
+Package: libgegl-0.4-0t64
+Provides: ${t64:Provides}
+Replaces: libgegl-0.4-0
+Breaks: libgegl-0.4-0 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libgegl-common (>= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libgegl-common (>= ${source:Version})
 Suggests: graphviz
 Description: Generic Graphics Library
  GEGL (Generic Graphics Library) is a graph based image processing
@@ -101,7 +102,7 @@
 Multi-Arch: same
 Depends: gir1.2-gegl-0.4 (= ${binary:Version}),
          libbabl-dev (>= 1:0.1.99),
-         libgegl-0.4-0 (= ${binary:Version}),
+         libgegl-0.4-0t64 (= ${binary:Version}),
          libglib2.0-dev (>= 2.16.1),
          libjson-glib-dev,
          ${gir:Depends},
@@ -109,7 +110,8 @@
          ${shlibs:Depends}
 Breaks: libgegl-0.0-dev
 Replaces: libgegl-0.0-dev
-Provides: libgegl-0.0-dev, ${gir:Provides}
+Provides: libgegl-0.0-dev,
+          ${gir:Provides}
 Description: Generic Graphics Library (development files)
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.
@@ -142,7 +144,8 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends}, ${misc:Depends}
+Depends: ${gir:Depends},
+         ${misc:Depends}
 Description: GObject introspection data for the Generic Graphics Library
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.

## gegl 0.4.56

=== debian/changelog ===
gegl (1:0.4.56-1) unstable; urgency=medium

  * New upstream release
  * Remove ancient Breaks/Replace/Pre-Depends
  * debian/libgegl-0.4-0t64.symbols: Update

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 16 Mar 2025 14:51:16 -0400

## gegl 0.4.58

=== debian/changelog ===
gegl (1:0.4.58-1deepin1) unstable; urgency=medium

  * revert t64.

 -- lhdjply <lhdjply@126.com>  Thu, 27 Mar 2025 09:34:53 +0800

gegl (1:0.4.58-1) unstable; urgency=medium

  * New upstream bugfix release required by gimp 3.0.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Mar 2025 08:57:08 -0400

=== debian/control ===
--- 
+++ 
@@ -62,14 +62,10 @@
  .
  This package contains a bunch of test programs.
 
-Package: libgegl-0.4-0t64
-Provides: ${t64:Provides}
-Replaces: libgegl-0.4-0
-Breaks: libgegl-0.4-0 (<< ${source:Version})
+Package: libgegl-0.4-0
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libgegl-common (>= ${source:Version})
@@ -100,18 +96,14 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: gir1.2-gegl-0.4 (= ${binary:Version}),
-         libbabl-dev (>= 1:0.1.99),
-         libgegl-0.4-0t64 (= ${binary:Version}),
+Depends: libbabl-dev (>= 1:0.1.99),
+         libgegl-0.4-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.16.1),
          libjson-glib-dev,
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libgegl-0.0-dev
-Replaces: libgegl-0.0-dev
-Provides: libgegl-0.0-dev,
-          ${gir:Provides}
+Provides: ${gir:Provides}
 Description: Generic Graphics Library (development files)
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.
@@ -127,8 +119,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: libgegl-0.0-doc
-Replaces: libgegl-0.0-doc
 Build-Profiles: <!nodoc>
 Description: Generic Graphics Library (documentation)
  GEGL (Generic Graphics Library) is a graph based image processing

## gegl 0.4.62

=== debian/changelog ===
gegl (1:0.4.62-2+deb13u1) trixie-security; urgency=medium

  * CVE-2025-10921 (Closes: #1116470)

 -- Moritz Mühlenhoff <jmm@debian.org>  Sat, 27 Sep 2025 23:42:17 +0200

gegl (1:0.4.62-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 29 May 2025 08:24:59 -0400

gegl (1:0.4.62-1) experimental; urgency=medium

  * New upstream bugfix release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 May 2025 09:16:32 -0400

gegl (1:0.4.58-2) unstable; urgency=medium

  * Remove Josselin Mouette from Uploaders. Thank you for your contributions!

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Apr 2025 15:03:29 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Josselin Mouette <joss@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: dpkg-dev (>= 1.22.5),
                debhelper-compat (= 13),
                dh-sequence-gir,
@@ -62,7 +62,10 @@
  .
  This package contains a bunch of test programs.
 
-Package: libgegl-0.4-0
+Package: libgegl-0.4-0t64
+Provides: ${t64:Provides}
+Replaces: libgegl-0.4-0
+Breaks: libgegl-0.4-0 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -97,7 +100,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libbabl-dev (>= 1:0.1.99),
-         libgegl-0.4-0 (= ${binary:Version}),
+         libgegl-0.4-0t64 (= ${binary:Version}),
          libglib2.0-dev (>= 2.16.1),
          libjson-glib-dev,
          ${gir:Depends},

=== debian/watch ===
version=4
https://download.gimp.org/pub/@PACKAGE@/([\d\.]+)/ \
	@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## gegl 0.4.64

=== meson_options.txt ===
# Optional features
option('docs',
  type: 'combo',
  choices: ['auto', 'true', 'false'],
  value: 'auto',
  description: 'build documentation'
)
option('gtk-doc',
  type: 'boolean',
  value: 'false',
  description: 'build gtk-doc reference',
)
option('gi-docgen',
  type: 'feature',
  value: 'auto',
  description: 'Build developer documentation (uses gi-docgen)'
)
option('workshop',
  type: 'boolean',
  value: 'false',
  description: 'build experimental operations'
)
option('introspection',
  type: 'combo',
  choices: ['auto', 'true', 'false'],
  value: 'auto',
  description: 'gobject introspection .gir generation'
)
option('vapigen',
  type: 'feature',
  value: 'auto',
  description: 'Vala .vapi generation - depends on introspection'
)
option('win-debugging',
  type: 'combo',
  choices: ['native', 'dwarf'],
  value: 'native',
  description: 'Build with native/CodeView debug symbols or with DWARF'
)

# Build settings
option('parallel-tests',
  type: 'boolean',
  value: 'true',
  description: 'run tests in parallel or sequentially'
)

option('operation-test',
  type: 'boolean',
  value: 'false',
  description: 'include gegl-tester in test suite'
)

# optional dependencies
option('gdk-pixbuf',    type: 'feature', value: 'auto')
option('gexiv2',        type: 'feature', value: 'auto')
option('graphviz',      type: 'feature', value: 'auto')
option('jasper',        type: 'feature', value: 'auto')
option('lcms',          type: 'feature', value: 'auto')
option('lensfun',       type: 'feature', value: 'auto')
option('libav',         type: 'feature', value: 'auto')
option('libraw',        type: 'feature', value: 'auto')
option('librsvg',       type: 'feature', value: 'auto')
option('libspiro',      type: 'feature', value: 'auto')
option('libtiff',       type: 'feature', value: 'auto')
option('libv4l',        type: 'feature', value: 'auto')
option('libv4l2',       type: 'feature', value: 'auto')
option('lua',           type: 'feature', value: 'auto')
option('mrg',           type: 'feature', value: 'auto')
option('maxflow',       type: 'feature', value: 'auto')
option('openexr',       type: 'feature', value: 'auto')
option('openmp',        type: 'feature', value: 'auto')
option('cairo',         type: 'feature', value: 'auto')
option('pango',         type: 'feature', value: 'auto')
option('pangocairo',    type: 'feature', value: 'auto')
option('poppler',       type: 'feature', value: 'auto')
option('pygobject',     type: 'feature', value: 'auto')
option('sdl1',          type: 'feature', value: 'disabled')
option('sdl2',          type: 'feature', value: 'auto')
option('umfpack',       type: 'feature', value: 'auto')
option('webp',          type: 'feature', value: 'auto')

=== debian/changelog ===
gegl (1:0.4.64-1) unstable; urgency=high

  * New upstream release
  * Bump minimum babl
  * Add patch to fix implicit function declaration
  * Remove security patch applied in new release
  * debian/watch: Convert to Version: 5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 06 Oct 2025 23:24:01 -0400

gegl (1:0.4.62-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * ZDI-CAN-27803: GIMP HDR File Parsing Heap-based Buffer Overflow Remote
    Code Execution Vulnerability (CVE-2025-10921) (Closes: #1116470)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 03 Oct 2025 17:37:16 +0200

gegl (1:0.4.62-3) unstable; urgency=medium

  * Team upload
  * d/control: Replace B-D on libgirepository1.0-dev with
    gobject-introspection
  * d/copyright: Correct some duplicated glob patterns
  * d/copyright: Update for some renamed files
  * d/copyright: Add missing stanza for ctx.h
  * d/p/debian/docs-Exclude-remote-image-from-API-reference.patch:
    Add patch to avoid a remote image in the API reference documentation
  * d/salsa-ci.yml: Add
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 08 Sep 2025 09:20:17 +0100

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
                gir1.2-babl-0.1-dev,
                gir1.2-glib-2.0-dev,
                gir1.2-gobject-2.0-dev,
+               gobject-introspection (>= 1.80),
                graphviz,
                libavformat-dev,
-               libbabl-dev (>= 1:0.1.99),
+               libbabl-dev (>= 1:0.1.116),
                libblas-dev,
                libcairo2-dev (>= 0.12.2),
                libgdk-pixbuf-2.0-dev (>= 2.18.0),
                libgexiv2-dev,
-               libgirepository1.0-dev (>= 1.32.0),
                libglib2.0-dev (>= 2.28.0),
                libjpeg-dev,
                libjson-glib-dev,
@@ -42,8 +42,7 @@
                      gi-docgen,
                      libbabl-doc <!nodoc>,
                      libglib2.0-doc <!nodoc>
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gegl
 Vcs-Git: https://salsa.debian.org/gnome-team/gegl.git
 Homepage: https://gegl.org/
@@ -99,7 +98,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libbabl-dev (>= 1:0.1.99),
+Depends: libbabl-dev (>= 1:0.1.116),
          libgegl-0.4-0t64 (= ${binary:Version}),
          libglib2.0-dev (>= 2.16.1),
          libjson-glib-dev,

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-O1 -Wl,-z,defs
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
 include /usr/share/dpkg/default.mk
 
@@ -55,10 +56,7 @@
 	dh_missing -Xgrey2.json -Xdropshadow2.json
 
 override_dh_makeshlibs:
-	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gegl-0.4/ -- -c4
+	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gegl-0.4/
 
 override_dh_auto_test:
-	dh_auto_test --no-parallel -- --timeout-multiplier $(test_timeout_multiplier)
-
-override_dh_gnome_clean:
-	dh_gnome_clean --no-control
+	dh_auto_test -- --timeout-multiplier $(test_timeout_multiplier)

=== debian/tests/control ===
Tests: libgegl-dev
Depends: build-essential,
         libgegl-dev,
         xauth,
         xvfb
Restrictions: allow-stderr superficial

Tests: gir1.2-gegl-0.4
Depends: gir1.2-gegl-0.4, python3-gi
Restrictions: allow-stderr, superficial

## gegl 0.4.66

=== meson_options.txt ===
--- 
+++ 
@@ -51,6 +51,9 @@
   description: 'include gegl-tester in test suite'
 )
 
+option('relocatable', type: 'feature', value: 'auto',
+       description: 'build with resources considered bundled under the same prefix (auto: platform defaults)')
+
 # optional dependencies
 option('gdk-pixbuf',    type: 'feature', value: 'auto')
 option('gexiv2',        type: 'feature', value: 'auto')

=== debian/changelog ===
gegl (1:0.4.66-3~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 29 Jan 2026 13:55:44 -0800

gegl (1:0.4.66-3) unstable; urgency=medium

  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 Jan 2026 09:50:14 -0500

gegl (1:0.4.66-2) unstable; urgency=high

  * Cherry-pick patch to fix armhf build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Dec 2025 22:06:39 -0500

gegl (1:0.4.66-1) unstable; urgency=high

  * New upstream release
  * Remove implicit function declaration patch: applied in new release
  * Cherry-pick proposed security fix for ZDI-CAN-28266
  * Remove unnecessary Priority: optional field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Dec 2025 21:14:08 -0500

gegl (1:0.4.64-2) unstable; urgency=medium

  * Add Build-Depends: python-gi-dev for build tests
  * Remove unnecessary Build-Depends: asciidoc-base, graphviz
  * Stop disabling sdl2 feature

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 27 Nov 2025 12:05:53 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: gegl
 Section: devel
-Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
-Build-Depends: dpkg-dev (>= 1.22.5),
-               debhelper-compat (= 13),
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
+           Jeremy Bícha <jbicha@ubuntu.com>
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
+               dpkg-dev (>= 1.22.5),
                gir1.2-babl-0.1-dev,
                gir1.2-glib-2.0-dev,
                gir1.2-gobject-2.0-dev,
                gobject-introspection (>= 1.80),
-               graphviz,
                libavformat-dev,
                libbabl-dev (>= 1:0.1.116),
                libblas-dev,
@@ -37,20 +37,19 @@
                libwebp-dev (>= 0.5.0),
                meson (>= 0.54.0),
                pkgconf,
+               python-gi-dev <!nocheck>,
                valac (>= 0.20)
-Build-Depends-Indep: asciidoc-base <!nodoc>,
-                     gi-docgen,
+Build-Depends-Indep: gi-docgen <!nodoc>,
                      libbabl-doc <!nodoc>,
                      libglib2.0-doc <!nodoc>
-Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/gnome-team/gegl
-Vcs-Git: https://salsa.debian.org/gnome-team/gegl.git
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/gnome-team/extras/gegl
+Vcs-Git: https://salsa.debian.org/gnome-team/extras/gegl.git
 Homepage: https://gegl.org/
 
 Package: gegl
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Generic Graphics Library Test Program
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.
@@ -68,9 +67,9 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libgegl-common (>= ${source:Version})
+Depends: libgegl-common (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: graphviz
 Description: Generic Graphics Library
  GEGL (Generic Graphics Library) is a graph based image processing
@@ -136,8 +135,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Description: GObject introspection data for the Generic Graphics Library
  GEGL (Generic Graphics Library) is a graph based image processing
  framework.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-built_binaries := $(shell dh_listpackages)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-O1 -Wl,-z,defs
@@ -14,17 +12,11 @@
 	EXTRA_CONFIGURE_OPTIONS=
 endif
 
-ifeq ($(filter %-doc,$(built_binaries)),)
-EXTRA_CONFIGURE_OPTIONS += -Dgi-docgen=disabled
-else
-EXTRA_CONFIGURE_OPTIONS += -Dgi-docgen=enabled
-endif
-
 # Upstream test timeouts assume an otherwise unloaded system, but that
 # isn't necessarily the case for a porterbox or multiple parallel builds
 test_timeout_multiplier = 3
 
-ifneq ($(filter aarch64 arm% hppa mips% sparc%,$(DEB_HOST_ARCH_CPU)),)
+ifneq ($(filter aarch64 arm% hppa sparc%,$(DEB_HOST_ARCH_CPU)),)
 # These architectures are typically slower, particularly for the sort of
 # floating-point processing we're doing here
 test_timeout_multiplier = 10
@@ -41,14 +33,13 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dauto_features=enabled \
-		-Ddocs=true \
+		-Ddocs=false \
+		-Dgi-docgen=$(if $(filter %-doc,$(shell dh_listpackages)),enabled,disabled) \
 		-Djasper=disabled \
 		-Dlibav=disabled \
 		-Dlua=disabled \
 		-Dmrg=disabled \
-		-Dpygobject=disabled \
-		-Dsdl1=disabled \
-		-Dsdl2=disabled \
+		-Dpygobject=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),disabled,enabled) \
 		$(EXTRA_CONFIGURE_OPTIONS)
 
 # These json files appear to only be needed for distcheck according to git log
@@ -60,3 +51,8 @@
 
 override_dh_auto_test:
 	dh_auto_test -- --timeout-multiplier $(test_timeout_multiplier)
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
